#include <windows.h>

#include "main.h"
#include "resource.h"

BOOL CALLBACK AboutDlgProc( HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam )
{
	if ( uMsg == WM_COMMAND && LOWORD(wParam) == IDOK ) {
		EndDialog( hDlg, IDOK );
		return TRUE;
	}
	if ( uMsg == WM_INITDIALOG ) {
		LPCSTR lpszVer;

		lpszVer = VsGetProfileString( NULL, "Version", "s" );
		SetDlgItemText( hDlg, IDC_VERSION, lpszVer );
		return TRUE;
	}
	return FALSE;
}

void About( AC *ac )
{
	DialogBox( ac->hInst, MAKEINTRESOURCE(IDD_ABOUT), ac->hWndMain, AboutDlgProc );
}