#include <windows.h>
#include <commctrl.h>

#include "main.h"
#include "resource.h"




BOOL CALLBACK GotoDlgProc( HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam )
{
	static AC	*ac;

	switch ( uMsg ) {
	case WM_INITDIALOG:
		{
			int nMax;
			ac = (AC *)lParam;

			nMax = SendMessage( ac->hWndEdit, EM_GETLINECOUNT, 0, 0 );
			SendDlgItemMessage( hDlg, IDC_SPINGOTO, UDM_SETRANGE, 0, MAKELPARAM(nMax, 1) );
			SendDlgItemMessage( hDlg, IDC_SPINGOTO, UDM_SETPOS  , 0, MAKELPARAM(   1, 0) );
		}
		return TRUE;

	case WM_COMMAND:
		switch ( LOWORD(wParam) ) {
		case IDOK:
			{
				BOOL bRes;
				int  nLine;

				nLine = GetDlgItemInt( hDlg, IDC_GOTO, &bRes, FALSE );
				if ( bRes ) {
					EndDialog( hDlg, nLine );
				} else {
					EndDialog( hDlg, -1 );
				}
			}
			return TRUE;

		case IDCANCEL:
			EndDialog( hDlg, -1 );
			return TRUE;
		}
		break;
	}
	return FALSE;
}

int Goto( AC *ac )
{
	return DialogBoxParam( ac->hInst, MAKEINTRESOURCE(IDD_GOTO), ac->hWndMain, GotoDlgProc, (LPARAM)ac );
}
