#ifndef _MAIN_H_
#define _MAIN_H_

#define WM_GOTOLINE	(WM_USER+100)
#define MSGBUF	256

#define FIND_UP   1
#define FIND_DOWN 2

// AvP[VReLXg
typedef struct {
	HINSTANCE		hInst;
	HWND			hWndMain;

	// qEBhE
	HWND			hWndTool;
	HWND			hWndStat;
	HWND			hWndEdit;
	HWND			hWndOutput;
	HWND			hWndSplitter;

	HFONT			hFontEdit;
	COLORREF		clrFgEdit;
	COLORREF		clrBgEdit;
	HBRUSH			hBrBgEdit;
	HFONT			hFontOutput;
	COLORREF		clrFgOutput;
	COLORREF		clrBgOutput;
	HBRUSH			hBrBgOutput;

	// ҏWΏۏ
	TCHAR			szFileName[MAX_PATH];
	TCHAR			szMidiName[MAX_PATH];
	BOOL			bModify;

	// pX
	TCHAR			szSpicePath[MAX_PATH];
	TCHAR			szIncludePath[MAX_PATH];
	TCHAR			szSpiceHelp[MAX_PATH];
	TCHAR			szVSpiceHelp[MAX_PATH];

	// SMCRpCIvV
	BOOL			bClock;
	BOOL			bCheck;
	BOOL			bLoop;
	BOOL			bFade;
	int				nLoop;
	int				nFade;

	// tn
	MCI_OPEN_PARMS	mciOpen;

	// ^u
	LPTSTR			lpszFind;
	BOOL			bFindDir;
	BOOL			bFindNoCase;
	int				nFindIndex;

	// ̑
	TCHAR			szMessage[MSGBUF];

} AC;

// from Plofile.c
LPCTSTR VsGetProfileString( LPCTSTR, LPCTSTR, LPCTSTR );
BOOL    VsPutProfileString( LPCTSTR, LPCTSTR, LPCTSTR );
int     VsGetProfileInt( LPCTSTR, LPCTSTR, int );
BOOL    VsPutProfileInt( LPCTSTR, LPCTSTR, int );
BOOL    VsGetProfileFont( LPCTSTR, LPCTSTR, LOGFONT * );
BOOL    VsPutProfileFont( LPCTSTR, LPCTSTR, LOGFONT * );

// from EditView.c
HWND CreateEditView( AC * );

// from Output.c
HWND CreateOutput( AC * );
void Output( AC *, BYTE * );
void InitOutput( AC * );

// from NewSMC.c
void NewSMC( AC * );

// from FindStr.c
int  Find( AC *);
void Replace( AC * );
BOOL DoFind( AC * );

// from Goto.c
int Goto( AC * );

// from Setup.c
void    CompileOption( AC * );
LPCTSTR MakeOption( BOOL, BOOL, BOOL, int, BOOL, int );

// from Folder.c
void FolderOption( AC * );

// from About.c
void About( AC * );

// from PlayMidi.c
void StopMIDI( AC * );
void CloseMIDI( AC * );
BOOL PlayMIDI( AC * );

// from Print.c
BOOL DrawPage( AC *, HDC, DWORD, DWORD, int, LPSTR );

#endif // !_MAIN_H_